View Issue Details

IDProjectCategoryView StatusLast Update
0005211DarkRadiantGUIpublic07.04.2020 04:13
Reporterorbweaver Assigned Toorbweaver  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.7.0 
Target Version2.8.0Fixed in Version2.8.0 
Summary0005211: Add an interface for editing difficulty names
DescriptionDifficulty names are already customisable by manually adding spawnargs onto the worldspawn (e.g. "diff0Default=Trivial"), but there is not yet any interface for doing this inside DR.
TagsNo tags attached.

Activities

orbweaver

orbweaver

06.04.2020 20:15

developer   ~0012337

As of commit adbf1b92adff413291b374480873bbd08c69ca52 it is now possible to edit difficulty names using a new Edit button inside the Difficulty dialog. There have also been some UI and layout changes in the dialog to accommodate this (e.g. switching from a tabbed widget to a dropdown-based wxChoicebook).

Related Changesets

DarkRadiant: master fa2a49f2

2020-03-17 20:17:50

orbweaver

Details Diff
Layout and alignment tweaks in DifficultyDialog

Switch from wxNotebook to wxChoicebook (which gives the possibility of adding
extra buttons alongside the choice combo box, e.g. an edit button); remove some
redundant borders and sizer nesting levels, resulting in improved alignment of
widgets and more use of space within the dialog.
Affected Issues
0005211
mod - install/ui/difficultyeditor.fbp Diff File
mod - install/ui/difficultyeditor.xrc Diff File
mod - plugins/dm.difficulty/DifficultyDialog.cpp Diff File
mod - plugins/dm.difficulty/DifficultyDialog.h Diff File

DarkRadiant: master 2a1fb1ba

2020-03-17 21:18:26

orbweaver

Details Diff
Add initial, non-functional edit button to DifficultyDialog

Edit button has the correct size and icon and sits alongside the dropdown, but
does not yet do anything when clicked on.
Affected Issues
0005211
mod - plugins/dm.difficulty/DifficultyDialog.cpp Diff File

DarkRadiant: master 70dc070d

2020-03-24 20:39:59

orbweaver

Details Diff
Add initial dialog for editing difficulty name

Dialog appears on clicking the Edit button alongside the difficulty names
dropdown, and contains a simple text entry box initialised with the current
name which the user can edit. However, the changed name is not yet applied to
the map settings.
Affected Issues
0005211
mod - plugins/dm.difficulty/DifficultyDialog.cpp Diff File
mod - plugins/dm.difficulty/DifficultyDialog.h Diff File

DarkRadiant: master 41cf59fb

2020-03-25 20:54:19

orbweaver

Details Diff
Introduce a new convenience function to obtain the worldspawn

Locating the worldspawn node and converting it into an Entity pointer is a very
common operation, but so far has had to be done manually each time. Now there
is a convenience function map::current::getWorldspawn() which does this
automatically.
Affected Issues
0005211
mod - include/imap.h Diff File
add - libs/maplib.h Diff File
mod - plugins/dm.difficulty/DifficultySettingsManager.cpp Diff File
mod - radiant/map/Map.h Diff File
mod - radiant/map/MapPositionManager.cpp Diff File
mod - radiant/xyview/XYWnd.cpp Diff File

DarkRadiant: master adbf1b92

2020-03-31 20:25:24

orbweaver

Details Diff
Save difficulty name changes onto the worldspawn

Setting a new difficulty name with the edit button in the DifficultyDialog now
results in the new name being written into the appropriate worldspawn property,
so the change is persistent and (hopefully) functional in game.
Affected Issues
0005211
mod - libs/maplib.h Diff File
mod - plugins/dm.difficulty/DifficultyDialog.cpp Diff File
mod - plugins/dm.difficulty/DifficultySettingsManager.cpp Diff File
mod - plugins/dm.difficulty/DifficultySettingsManager.h Diff File

DarkRadiant: master c8362de7

2020-04-06 14:18:04

greebo

Details Diff
Add newly added files to VC++ projects Affected Issues
0005211
mod - tools/msvc/libs.vcxproj Diff File
mod - tools/msvc/libs.vcxproj.filters Diff File
mod - tools/msvc/wxutillib.vcxproj Diff File
mod - tools/msvc/wxutillib.vcxproj.filters Diff File

DarkRadiant: master 1ef3bd3c

2020-04-06 14:31:50

greebo

Details Diff
Use the wxutil::Dialog utility method to query the difficulty name, showing a dialog featuring a single text entry box.
Also fix the helper to do what it says in the docs and fill in the default value when the dialog is displayed.
Affected Issues
0005211
mod - libs/wxutil/dialog/Dialog.cpp Diff File
mod - plugins/dm.difficulty/DifficultyDialog.cpp Diff File

DarkRadiant: master 564726c1

2020-04-06 16:45:39

greebo

Details Diff
Rearrange the difficulty name loading and saving code a bit, such that only changes to the default names are written to worldspawn. Plus, saving only needs to happen when the user hits the OK button of the dialog, hitting Cancel shouldn't do any changes to the map. Affected Issues
0005211
mod - plugins/dm.difficulty/DifficultyDialog.cpp Diff File
mod - plugins/dm.difficulty/DifficultySettingsManager.cpp Diff File
mod - plugins/dm.difficulty/DifficultySettingsManager.h Diff File

Issue History

Date Modified Username Field Change
06.04.2020 20:14 orbweaver New Issue
06.04.2020 20:14 orbweaver Status new => assigned
06.04.2020 20:14 orbweaver Assigned To => orbweaver
06.04.2020 20:15 orbweaver Status assigned => resolved
06.04.2020 20:15 orbweaver Resolution open => fixed
06.04.2020 20:15 orbweaver Fixed in Version => 2.8.0
06.04.2020 20:15 orbweaver Note Added: 0012337
07.04.2020 04:11 greebo Changeset attached => DarkRadiant master 564726c1
07.04.2020 04:11 greebo Changeset attached => DarkRadiant master 1ef3bd3c
07.04.2020 04:11 greebo Changeset attached => DarkRadiant master c8362de7
07.04.2020 04:12 greebo Changeset attached => DarkRadiant master adbf1b92
07.04.2020 04:12 greebo Changeset attached => DarkRadiant master 41cf59fb
07.04.2020 04:13 greebo Changeset attached => DarkRadiant master 70dc070d
07.04.2020 04:13 greebo Changeset attached => DarkRadiant master 2a1fb1ba
07.04.2020 04:13 greebo Changeset attached => DarkRadiant master fa2a49f2